MINCCOMPLETE(1)

NAME
minccomplete - checks if a MINC file is complete

SYNOPSIS
minccomplete [options] <file.mnc>

minccomplete is designed as a QC tool that you can use to check if MINC or xfm files have been completely written.

DESCRIPTION
minccomplete will check if a file exists and is completely written. The reasons for non-completion are varied but typically caused when a process writing a MINC or xfm file is interrupted. A zero will be returned if the file is complete and a -1 if it isn't.

Examples:

   $ minccomplete in.mnc
   0
   $ minccomplete in.xfm
   0

A MINC file is returned as complete if the image attribute image:complete is set. ie:

   mincinfo -attvalue image:complete infile.mnc

A xfm file is deemed complete if xfm2param can parse the file. The associated exit codes will also be set as part of this so that minccomplete can be used in scripts.

An entirely simplistic example:

   #! /bin/sh

   infile=$1

   if [ `minccomplete ${infile}` ]
   then
      echo "Yes!"
   else
      echo "Nope, try again"
   fi

Problems or comments should be sent to: a.janke@gmail.com

OPTIONS

-v, --verbose
    Be noisy when doing things

--version
    Print version number and exit

-h, --help
    Dump some quick help output

--man
    Dump a man page

-e, --error_string
    Don't die on errors (eg: file not found) and print the supplied value instead

SEE ALSO
mincheader(1) mincinfo(1) xfm2param(1)

AUTHOR
Andrew Janke - a.janke@gmail.com

COPYRIGHTS
Copyright 2000 by Andrew L Janke